import React, { Component } from 'react';

import './css/TrafficInfo.css';

import busIcon from '../img/bus.svg';
import warningIcon from '../img/warning.svg';

class TrafficEntry extends Component {
    render() {
        let trafficInfo = this.props.departure.info;
        let lineInterference = trafficInfo != "" && trafficInfo != null;
        let infoElem = <></>;

        if (trafficInfo != "" && trafficInfo != null)
            infoElem = <p>{trafficInfo} <u>Visa mer</u></p>

        return (
            <div class="trafficEntry">
                <div>
                    <div class="timeColumn">
                        <span>{this.props.departure.time}</span>
                        {lineInterference &&
                                <img src={warningIcon}></img>
                        }
                    </div>
                    <div class="lineColumn">
                        <div>
                            <span class="lineName">{this.props.departure.lineName}</span>
                            <img src={busIcon}></img>
                            <span class="destination">{this.props.departure.destination}</span>
                        </div>
                        {infoElem}
                    </div>
                </div>

                {lineInterference &&
                    <button>Hitta annan resväg</button>
                }
            </div>
        );
    }
}

export default TrafficEntry;