import React, { Component } from 'react';

import TrafficEntry from './TrafficEntry.js';

import './css/TrafficInfo.css';

class TrafficList extends Component {
    render() {
        let entries = [];

        this.props.departures.forEach(departure => {
            entries.push(
                <TrafficEntry departure={departure} />
            );
        });

        // Add separator between every element
        const intersperse = (arr, sep) => arr.reduce((a,v)=>[...a,v,sep],[]).slice(0,-1);
        entries = intersperse(entries, (<hr />));

        // Add separator after the last element
        entries.push(<hr />);

        return (
            <div id="trafficList">
                {entries.map(element => {     
                    return element 
                })}
            </div>
        );
    }
}

export default TrafficList;